{%- set Keystone_Test_Domain = 'TestDomain' %}
{%- set Keystone_Test_Project = 'TestProject' %}
{%- set Keystone_Test_User = 'TestKeystoneUser' %}
{%- set Keystone_Test_Service = 'TestKeystoneService' %}
{%- set Keystone_Test_Role = 'TestKeystoneRole' %}
{%- set Keystone_Test_Endpoint = 'TestKeystoneEndpoint' %}

keystonev3_service_present:
  keystonev3.service_present:
  - name: {{ Keystone_Test_Service }}
  - type: image
  - cloud_name: admin_identity

keystonev3_endpoint_present:
  keystonev3.endpoint_present:
  - name: {{ Keystone_Test_Endpoint }}
  - url: http://example.com/identity/v3/endpoints/222222
  - interface: public
  - service_id: {{ Keystone_Test_Service }}
  - cloud_name: admin_identity

keystonev3_project_present:
  keystonev3.project_present:
  - name: {{ Keystone_Test_Project }}
  - cloud_name: admin_identity
  - domain_id: default

keystonev3_user_present:
  keystonev3.user_present:
  - name: {{ Keystone_Test_User }}
  - cloud_name: admin_identity

keystonev3_role_present:
  keystonev3.role_present:
  - name: {{ Keystone_Test_Role }}
  - cloud_name: admin_identity

keystonev3_user_role_assigned:
  keystonev3.user_role_assigned:
  - name: {{ Keystone_Test_User }}
  - cloud_name: admin_identity
  - role_id: {{ Keystone_Test_Role }}
  - project_id: {{ Keystone_Test_Project }}

keystonev3_endpoint_absent:
  keystonev3.endpoint_absent:
  - name: {{ Keystone_Test_Endpoint }}
  - interface: public
  - service_id: {{ Keystone_Test_Service }}
  - cloud_name: admin_identity

keystonev3_user_role_unassign:
  keystonev3.user_role_unassign:
  - name: {{ Keystone_Test_User }}
  - role_id: {{ Keystone_Test_Role }}
  - cloud_name: admin_identity
  - project_id: {{ Keystone_Test_Project }}

keystonev3_role_absent:
  keystonev3.role_absent:
  - name: {{ Keystone_Test_Role }}
  - cloud_name: admin_identity

keystonev3_service_absent:
  keystonev3.service_absent:
  - name: {{ Keystone_Test_Service }}
  - cloud_name: admin_identity

keystonev3_project_absent:
  keystonev3.project_absent:
  - name: {{ Keystone_Test_Project }}
  - cloud_name: admin_identity

keystonev3_user_absent:
  keystonev3.user_absent:
  - name: {{ Keystone_Test_User }}
  - cloud_name: admin_identity
